Autor Tópico: warsaw bb no 18.04  (Lida 33698 vezes)

Offline tedtage

  • Usuário Ubuntu
  • *
  • Mensagens: 15
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #60 Online: 10 de Junho de 2018, 11:06 »
Boa noite,

A diebold disponibilizou uma nova versão do warsaw - a 1.12.9-5  que pode ser baixada através do link https://cloud.gastecnologia.com.br/gas/diagnostico/warsaw-setup-ubuntu_64.deb que apresenta total compatibilidade  com o ubuntu 18.04. Não  precisa baixar a biblioteca python-gpgme. Tudo ficou mais simples seja pelo Gdebi ou pelo terminal podendo ser  instalado com dois comandos:

sudo dpkg -i warsaw-setup-ubuntu_64.deb
sudo apt install -f.

Did Brother.

Amigão, notei que praticamente todos os posts daqui são referentes
à versão 64 bits, cuja qual consegui fazer funcionar o warsarw na maquina
virtual, porém eu preciso de que funcione em um lubuntu 32 bits. Baixei o
warsaw x86 e fiz todos os procedimentos como nas de x64, mas, ao término
da instalação, mesmo com o warsaw rodando como root e user; com os
devidos certificados no firefox, chromium, etc.,  na hora de logar no itaú ele
não passa da senha digital de 3 dígitos; diz que o site não pode logar no
momento e que é para tentar mais tarde. O problema não é com a minha conta,
pois sem o warasw eu acesso a conta de forma limitada e nos sistemas x64
de forma total.

Amigão você já tentou fazer funcionar em x86? Desde já obrigado!

Offline Gandalf_BR

  • Usuário Ubuntu
  • *
  • Mensagens: 12
  • "A virtude é o equilíbrio" (Aristóteles)
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #61 Online: 19 de Junho de 2018, 01:34 »
Caros amigos,

Simplificando  ou melhor complicando  a "coisa", digo  warsaw ( leia a resposta 56)

Está disponível no site da Diebold a versão 1.12.8-7 que apresenta  a vantagem de inserir  o certificado no firefox independentemente da versão e  não  é preciso substituir bibliotecas por links no  ubuntu 18.04.  Nem tudo beira a perfeição.  Entre a lista de dependências está a biblioteca    "python-gpgme" que não está disponível  nos repositórios  oficiais do ubuntu 18.04, embora esteja nos repositórios  das versões 16.04 e 17.10.   O warsaw acima apresentou compatibilidade com o BB,  CEF,  e para o Itaú após reiniciar o computador.  Deixo abaixo o passo  que utilizei na maquina de teste com 18.04.



1. Baixar o Warsaw fornecido pela Diebold, no endereço - https://cloud.gastecnologia.com.br/gas/diagnostico/warsaw-setup-ubuntu_64.deb  - versão 1.12.8-7 -compatível com CEF, BB e Itaú, com os navegadores Chrome, Firefox.

2. Baixar a biblioteca  python-gpgme  no endereço https://www.ubuntuupdates.org/package/core/artful/main/base/python-gpgme

3. Abrir o terminal e remover qualquer versão anteriormente instalada com o comando.
Código: [Selecionar]
sudo apt-get purge warsaw
4. instalar as dependências.

Código: [Selecionar]
sudo apt install libnss3-tools && sudo apt install python-openssl && sudo apt install libcurl3 && sudo apt install zenity
5. Ainda no terminal acessar a pasta onde foi baixada o arquivo  do warsaw e a bibiloteca python-gpgme. Pressupondo que foi na pasta Downloads

Código: [Selecionar]
cd Downloads e logo após
Código: [Selecionar]
sudo dpkg -i python-gpgme_0.3-1.2build2_amd64.deb em seguida manter os navegadores fechados e
Código: [Selecionar]
sudo dpkg -i warsaw-setup-ubuntu_64.deb   e aguardar o termino da instalação.

6 - Reiniciar o computador

7. Verificações:
A)  a instalação do warsaw  com o comando;
Código: [Selecionar]
ps -ef |grep -v grep |grep -i warsawVocê deve observar no mínimo 1 [...]/warsaw/core rodando como root e pelo menos um [...]/warsaw/core rodando como usuário. tipo:
root      1103     1  0 13:33 ?        00:00:01 /usr/local/bin/warsaw/core
usuario   2165     1  0 13:33 ?        00:00:01 /usr/local/bin/warsaw/core

B - A presença do certificado " Warsaw Personal CA"  nos navegadores. Firefox  em -   about:preferences#privacy   opção ver certificados ; no  Chrome em - chrome://settings/certificates  acessar a aba autoridades.    Se o certificado não estiver presente,  remova e reinstale o warsaw.

8) para acesso aos bancos:
A) CEF =. Abrir o navegador e acessar a página -     https://internetbanking.caixa.gov.br/sinbc/nb/login/redirecionaDispSeguranca - vai aparecer a mensagem: adicional de segurança instalado incorretamente. Aguarde enquanto configuramos seu computador. encerrado aparece a mensagem: Adicional de Segurança CAIXA instalado. Acesse a sua conta.
B) ITAU = acesse a página do Itau,  insira o numero de agencia e conta - vai aparecer o nome do correntista e na parte inferior a msg guardiao itau instalado. Está configurado o acesso para o banco itau (aqui só funcionou após reiniciar o computador)
C) BB =  acesse a pagina  https://www2.bancobrasil.com.br/aapf/login.jsp e espere configurar o acesso. Quando estiver disponível os campos: agencia, conta e senha Está configurado o acesso para o banco do brasil

DidBrother

Cara, Você merece um prêmio. Me salvou aqui. Há tempo que estou tentando acessar o Internet Banking do BB e não conseguia. Com esse tutorial foi fácil. Obrigado mesmo. Deus lhe abençoe grandemente.
Marcone Soares

Offline RamonB

  • Usuário Ubuntu
  • *
  • Mensagens: 414
  • Salvador, BA
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #62 Online: 19 de Junho de 2018, 08:30 »
Caros amigos,

Simplificando  ou melhor complicando  a "coisa", digo  warsaw ( leia a resposta 56)

Está disponível no site da Diebold a versão 1.12.8-7 que apresenta  a vantagem de inserir  o certificado no firefox independentemente da versão e  não  é preciso substituir bibliotecas por links no  ubuntu 18.04.  Nem tudo beira a perfeição.  Entre a lista de dependências está a biblioteca    "python-gpgme" que não está disponível  nos repositórios  oficiais do ubuntu 18.04, embora esteja nos repositórios  das versões 16.04 e 17.10.   O warsaw acima apresentou compatibilidade com o BB,  CEF,  e para o Itaú após reiniciar o computador.  Deixo abaixo o passo  que utilizei na maquina de teste com 18.04.



1. Baixar o Warsaw fornecido pela Diebold, no endereço - https://cloud.gastecnologia.com.br/gas/diagnostico/warsaw-setup-ubuntu_64.deb  - versão 1.12.8-7 -compatível com CEF, BB e Itaú, com os navegadores Chrome, Firefox.

2. Baixar a biblioteca  python-gpgme  no endereço https://www.ubuntuupdates.org/package/core/artful/main/base/python-gpgme

3. Abrir o terminal e remover qualquer versão anteriormente instalada com o comando.
Código: [Selecionar]
sudo apt-get purge warsaw
4. instalar as dependências.

Código: [Selecionar]
sudo apt install libnss3-tools && sudo apt install python-openssl && sudo apt install libcurl3 && sudo apt install zenity
5. Ainda no terminal acessar a pasta onde foi baixada o arquivo  do warsaw e a bibiloteca python-gpgme. Pressupondo que foi na pasta Downloads

Código: [Selecionar]
cd Downloads e logo após
Código: [Selecionar]
sudo dpkg -i python-gpgme_0.3-1.2build2_amd64.deb em seguida manter os navegadores fechados e
Código: [Selecionar]
sudo dpkg -i warsaw-setup-ubuntu_64.deb   e aguardar o termino da instalação.

6 - Reiniciar o computador

7. Verificações:
A)  a instalação do warsaw  com o comando;
Código: [Selecionar]
ps -ef |grep -v grep |grep -i warsawVocê deve observar no mínimo 1 [...]/warsaw/core rodando como root e pelo menos um [...]/warsaw/core rodando como usuário. tipo:
root      1103     1  0 13:33 ?        00:00:01 /usr/local/bin/warsaw/core
usuario   2165     1  0 13:33 ?        00:00:01 /usr/local/bin/warsaw/core

B - A presença do certificado " Warsaw Personal CA"  nos navegadores. Firefox  em -   about:preferences#privacy   opção ver certificados ; no  Chrome em - chrome://settings/certificates  acessar a aba autoridades.    Se o certificado não estiver presente,  remova e reinstale o warsaw.

8) para acesso aos bancos:
A) CEF =. Abrir o navegador e acessar a página -     https://internetbanking.caixa.gov.br/sinbc/nb/login/redirecionaDispSeguranca - vai aparecer a mensagem: adicional de segurança instalado incorretamente. Aguarde enquanto configuramos seu computador. encerrado aparece a mensagem: Adicional de Segurança CAIXA instalado. Acesse a sua conta.
B) ITAU = acesse a página do Itau,  insira o numero de agencia e conta - vai aparecer o nome do correntista e na parte inferior a msg guardiao itau instalado. Está configurado o acesso para o banco itau (aqui só funcionou após reiniciar o computador)
C) BB =  acesse a pagina  https://www2.bancobrasil.com.br/aapf/login.jsp e espere configurar o acesso. Quando estiver disponível os campos: agencia, conta e senha Está configurado o acesso para o banco do brasil

DidBrother

Caro DidBrother, valeu muito mesmo! Essa tua dica funcionou tanto no Ubuntu 18.04 quanto no Linux Mint 18.3. No Mint, estava funcionando outra solução também aqui do fórum mas, depois de uma atualização, parou de funcionar. Com esse teu tutorial, resolveu nos dois S.O.
Muito obrigado!
Notebook: Dell Inspiron 14 5447, 16 GB RAM, HD 1 Tera. Tri-boot: Ubuntu Desktop 17.10  /  Linux Mint 18.3 Cinnamon  /  Windows 10.
Notebook 2 em 1 HP Pavillion x360, 4 GB RAM, HD 500 GB. Dual-boot: Ubuntu Mate 17.10 / Windows 10.

Offline andpensador

  • Usuário Ubuntu
  • *
  • Mensagens: 116
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #63 Online: 20 de Junho de 2018, 14:16 »
Caros amigos,

Simplificando  ou melhor complicando  a "coisa", digo  warsaw ( leia a resposta 56)

Está disponível no site da Diebold a versão 1.12.8-7 que apresenta  a vantagem de inserir  o certificado no firefox independentemente da versão e  não  é preciso substituir bibliotecas por links no  ubuntu 18.04.  Nem tudo beira a perfeição.  Entre a lista de dependências está a biblioteca    "python-gpgme" que não está disponível  nos repositórios  oficiais do ubuntu 18.04, embora esteja nos repositórios  das versões 16.04 e 17.10.   O warsaw acima apresentou compatibilidade com o BB,  CEF,  e para o Itaú após reiniciar o computador.  Deixo abaixo o passo  que utilizei na maquina de teste com 18.04.


DidBrother

Nota 10!

Finalmente deu certo aqui!

Queria ter um filho assim!

Offline faubuiso

  • Usuário Ubuntu
  • *
  • Mensagens: 4
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #64 Online: 12 de Julho de 2018, 18:13 »
Olá,

Sigo na luta para acessar o BB usando Linux Mint 19 (Ubuntu 18.04).  Tentei seguir as ultimas orientações deste post mas o arquivo .deb que baixei pelo link indicado dá este erro:

Código: [Selecionar]
sudo dpkg -i warsaw-setup-ubuntu_64.deb
dpkg-deb: error: 'warsaw-setup-ubuntu_64.deb' is not a Debian format archive
dpkg: error processing archive warsaw-setup-ubuntu_64.deb (--install):
 dpkg-deb --control subprocess returned error exit status 2
Errors were encountered while processing: warsaw-setup-ubuntu_64.deb

Outra coisa que notei é que ao instalar a dependência libcurl3 este desinstala alguns pacotes que não gostaria:
  curl libcurl4 r-base r-base-core r-cran-boot r-cran-class r-cran-codetools
  r-cran-kernsmooth r-cran-lattice r-cran-mass r-cran-matrix r-cran-mgcv
  r-cran-nlme r-cran-nnet r-cran-rpart r-cran-spatial r-cran-survival
  r-recommended virtualbox-5.2

Agradeço alguma opinião ou experiência quanto a estes pontos.

Offline DidBrother

  • Usuário Ubuntu
  • *
  • Mensagens: 54
  • Avante. sempre em frente
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #65 Online: 13 de Julho de 2018, 11:43 »
Olá,

Sigo na luta para acessar o BB usando Linux Mint 19 (Ubuntu 18.04).  Tentei seguir as ultimas orientações deste post mas o arquivo .deb que baixei pelo link indicado dá este erro:

Código: [Selecionar]
sudo dpkg -i warsaw-setup-ubuntu_64.deb
dpkg-deb: error: 'warsaw-setup-ubuntu_64.deb' is not a Debian format archive
dpkg: error processing archive warsaw-setup-ubuntu_64.deb (--install):
 dpkg-deb --control subprocess returned error exit status 2
Errors were encountered while processing: warsaw-setup-ubuntu_64.deb

Outra coisa que notei é que ao instalar a dependência libcurl3 este desinstala alguns pacotes que não gostaria:
  curl libcurl4 r-base r-base-core r-cran-boot r-cran-class r-cran-codetools
  r-cran-kernsmooth r-cran-lattice r-cran-mass r-cran-matrix r-cran-mgcv
  r-cran-nlme r-cran-nnet r-cran-rpart r-cran-spatial r-cran-survival
  r-recommended virtualbox-5.2

Agradeço alguma opinião ou experiência quanto a estes pontos.

Bom dia.

O warsaw  disponivel na pagina da diebold foi atualmente atualizado para a versão 1.12.10.8 apresentando melhor compatibilidade com ubuntu 18.04 e Mint 19. Não mais é necessário  instalar a libcurl3. 
Sugiro os seguintes passos;

remova qualquer vestigio de warsaw do seu sistema . no terminal
sudo apt purge warsaw

em seguida baixe a nova versão  diretamente do site da diebold link https://cloud.gastecnologia.com.br/gas/diagnostico/warsaw_setup_64.deb
Pressupondo  que  o arquivo foi salvo na pasta Downloads.  Acesse a pasta utilizando o gerenciador de arquivos, clique com o botão direito do mouse e escolha "abrir com instalador de  pacotes gdebi".  Vai pedir a senha sudo e a instalação vai correr normal.

(quanto ao erro "dpkg-deb: error: 'warsaw-setup-ubuntu_64.deb' is not a Debian format archive",  possivelmente decorre de que o arquivo baixado e salvo tenha um nome diferente do digitado).


DidBrother
« Última modificação: 13 de Julho de 2018, 11:55 por DidBrother »

Offline faubuiso

  • Usuário Ubuntu
  • *
  • Mensagens: 4
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #66 Online: 13 de Julho de 2018, 13:05 »
Muito obrigado. Deu tudo certo com esta ultimo link!

Offline leandro318

  • Usuário Ubuntu
  • *
  • Mensagens: 55
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #67 Online: 07 de Agosto de 2018, 18:43 »
Hoje pela manhã acabei descobrindo uma solução meio "inusitada" para esse problema do Warsaw.

Peguei uma distro Ubuntu 18.04 32 bits limpa recém instalada e decidi seguir uma dica de um colega em outro tópico aqui no fórum: instalar o módulo de segurança da Caixa ao invés de instalar o do BB, com isso, por incrível que pareça, funciona normalmente. Ou seja, se eu instalo o módulo de segurança fornecido pelo próprio site do BB, não funciona nem que a vaca tussa e sempre dá erro de socket, mas se eu instalo o módulo de segurança da Caixa seguindo os passos descritos abaixo, consigo acessar normalmente o Internet Banking do BB.

1 - Baixar o instalador do módulo de segurança:
32 bits: https://cloud.gastecnologia.com.br/cef/warsaw/install/GBPCEFwr32.deb
ou
64 bits: https://cloud.gastecnologia.com.br/cef/warsaw/install/GBPCEFwr64.deb

2 - Instalar o módulo de segurança Warsaw da Caixa:
I - Atualizar o repositório:
Código: [Selecionar]
sudo apt-get update
II - Instalar as bibliotecas necessárias para rodar o módulo de segurança:
Código: [Selecionar]
sudo apt-get install libnss3-tools libcurl3
III - Instalar o pacote .deb do módulo de segurança da Caixa e demais dependências existentes:
32 bits:
Código: [Selecionar]
sudo gdebi GBPCEFwr32.deb ou
64 bits:
Código: [Selecionar]
sudo gdebi GBPCEFwr64.deb
3 - Reiniciar a máquina.

Com o módulo de segurança da Caixa consigo acessar normalmente o Internet Banking do BB, mas se instalar o módulo do BB não funciona, sempre dá erro de socket.

Fiz o teste acima hoje duas vezes (em duas distros Ubuntu 18.04 32 bits limpas, sem nada instalado) e realmente funcionou.
« Última modificação: 07 de Agosto de 2018, 18:52 por leandro318 »

Offline MbAndreLuiz

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Re:warsaw bb/cef no 18.04
« Resposta #68 Online: 30 de Agosto de 2018, 22:09 »
Caros, boa noite...já fiz diversos procedimentos sugeridos..e sempre, apesar de instalado o warsaw a CEF não consegue localizá-lo. Parece que a instalação o coloca em local errado. Por isso sempre recebo o informativo de erro  - dpkg: erro: não pode aceder ao arquivo 'GBPCEFwr64.deb': Arquivo ou diretório inexistente
O problema de fazer o download em https://cloud.gastecnologia.com.br/gas/diagnostico/warsaw-setup-ubuntu_64.deb  - versão 1.12.8-7 - é que não há acesso.  Essa é a msg
<Error>
<Code>AccessDenied</Code>
<Message>Access Denied</Message>
<RequestId>DD8F82814064110A</RequestId>
<HostId>
ApUEHyWWXELyMleapu1smSOsmQ0vBW0Z1eOnPOcgQVTg8GixMBXRr6joFuDWT9gHwc9wp9/s8CM=
</HostId>
</Error>
Então se houver outro link.....
Se tiverem alguma outra ideia

Offline leandro318

  • Usuário Ubuntu
  • *
  • Mensagens: 55
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #69 Online: 31 de Agosto de 2018, 05:20 »
Caros, boa noite...já fiz diversos procedimentos sugeridos..e sempre, apesar de instalado o warsaw a CEF não consegue localizá-lo. Parece que a instalação o coloca em local errado. Por isso sempre recebo o informativo de erro  - dpkg: erro: não pode aceder ao arquivo 'GBPCEFwr64.deb': Arquivo ou diretório inexistente
O problema de fazer o download em https://cloud.gastecnologia.com.br/gas/diagnostico/warsaw-setup-ubuntu_64.deb  - versão 1.12.8-7 - é que não há acesso.  Essa é a msg
<Error>
<Code>AccessDenied</Code>
<Message>Access Denied</Message>
<RequestId>DD8F82814064110A</RequestId>
<HostId>
ApUEHyWWXELyMleapu1smSOsmQ0vBW0Z1eOnPOcgQVTg8GixMBXRr6joFuDWT9gHwc9wp9/s8CM=
</HostId>
</Error>
Então se houver outro link.....
Se tiverem alguma outra ideia

Tente seguir os passos indicados no post abaixo e baixar o módulo de segurança do link indicado de acordo com a sua versão de sistema instalada (32 ou 64 bits). Os links em questão estão funcionando normalmente. Mas, antes de fazer o procedimento, remova tudo relacionado ao Warsal. Já fiz o teste aqui por diversas vezes e, fazendo o procedimento abaixo, consigo acessar normal o Internet Banking do BB e da Caixa.

Hoje pela manhã acabei descobrindo uma solução meio "inusitada" para esse problema do Warsaw.

Peguei uma distro Ubuntu 18.04 32 bits limpa recém instalada e decidi seguir uma dica de um colega em outro tópico aqui no fórum: instalar o módulo de segurança da Caixa ao invés de instalar o do BB, com isso, por incrível que pareça, funciona normalmente. Ou seja, se eu instalo o módulo de segurança fornecido pelo próprio site do BB, não funciona nem que a vaca tussa e sempre dá erro de socket, mas se eu instalo o módulo de segurança da Caixa seguindo os passos descritos abaixo, consigo acessar normalmente o Internet Banking do BB.

1 - Baixar o instalador do módulo de segurança:
32 bits: https://cloud.gastecnologia.com.br/cef/warsaw/install/GBPCEFwr32.deb
ou
64 bits: https://cloud.gastecnologia.com.br/cef/warsaw/install/GBPCEFwr64.deb

2 - Instalar o módulo de segurança Warsaw da Caixa:
I - Atualizar o repositório:
Código: [Selecionar]
sudo apt-get update
II - Instalar as bibliotecas necessárias para rodar o módulo de segurança:
Código: [Selecionar]
sudo apt-get install libnss3-tools libcurl3
III - Instalar o pacote .deb do módulo de segurança da Caixa e demais dependências existentes:
32 bits:
Código: [Selecionar]
sudo gdebi GBPCEFwr32.deb ou
64 bits:
Código: [Selecionar]
sudo gdebi GBPCEFwr64.deb
3 - Reiniciar a máquina.

Com o módulo de segurança da Caixa consigo acessar normalmente o Internet Banking do BB, mas se instalar o módulo do BB não funciona, sempre dá erro de socket.

Fiz o teste acima hoje duas vezes (em duas distros Ubuntu 18.04 32 bits limpas, sem nada instalado) e realmente funcionou.
« Última modificação: 31 de Agosto de 2018, 05:24 por leandro318 »

Offline MbAndreLuiz

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #70 Online: 03 de Setembro de 2018, 21:28 »
Infelizmente também já fiz este processo....o módulo é instalado, mas em local diferente do qual o site o procura....ou seja não é localizado e uma vez instalado não consigo levá-lo para a pasta correta...daí é como se não estivesse instalado.

Offline DidBrother

  • Usuário Ubuntu
  • *
  • Mensagens: 54
  • Avante. sempre em frente
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #71 Online: 04 de Setembro de 2018, 15:32 »
Infelizmente também já fiz este processo....o módulo é instalado, mas em local diferente do qual o site o procura....ou seja não é localizado e uma vez instalado não consigo levá-lo para a pasta correta...daí é como se não estivesse instalado.
.

Boa tarde.
algumas perguntas,

1 - Ja fez que processo?? há muitos citados ao longo do tópico.
2- O modulo é instalado em local diferente???,    onde?    Não seria baixado em outra pasta que não a  Downloads?
3- seria otimo se postasse aqui as msg de erro que ocorre durante a instalação.
4 - o link atual para baixar o warsaw direto da diebold é  https://cloud.gastecnologia.com.br/gas/diagnostico/warsaw_setup_64.deb.   para ubuntu de 64bits

DidBrother

Offline .:KZS:.

  • Usuário Ubuntu
  • *
  • Mensagens: 39
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #72 Online: 07 de Outubro de 2018, 17:41 »

Bom dia.

O warsaw  disponivel na pagina da diebold foi atualmente atualizado para a versão 1.12.10.8 apresentando melhor compatibilidade com ubuntu 18.04 e Mint 19. Não mais é necessário  instalar a libcurl3. 
Sugiro os seguintes passos;

remova qualquer vestigio de warsaw do seu sistema . no terminal
sudo apt purge warsaw

em seguida baixe a nova versão  diretamente do site da diebold link https://cloud.gastecnologia.com.br/gas/diagnostico/warsaw_setup_64.deb
Pressupondo  que  o arquivo foi salvo na pasta Downloads.  Acesse a pasta utilizando o gerenciador de arquivos, clique com o botão direito do mouse e escolha "abrir com instalador de  pacotes gdebi".  Vai pedir a senha sudo e a instalação vai correr normal.


DidBrother

Olá, amigos. Uso o Ubuntu desde a versão 7.
Estava com a versão 16.04 desde o lançamento. Tudo rodando direitinho num note Compaq Presario CP60 antiguinho (Athlon x2, 3Gb Ram, SD120GB). Usava para acessar bancos.
A única coisa que precisei fazer após a instalação na época foi instalar a Broadcom. Tanto que estava me recusando a atualizar para versão 18.04. Mas há dois dias o sistema travou. Resolvi instalar a versão 18.04 do zero.

Então, tentei algumas formas de fazer rodar o Warsaw e nada... Nem no BB nem na CEF.
Reinstalei o Ubuntu 18.04 4 vezes.

Na última instalação do zero segui a dica do amigo DigBrother!
Simples, rápida e fácil para qualquer leigo.

Acesso BB e CEF no Chromium perfeitamente.

Como instalei do zero, nem foi preciso remover versões anteriores do Warsaw.
Então:
Baixei o arquivo Warsaw diretamente do site da diebold LINK:
https://cloud.gastecnologia.com.br/gas/diagnostico/warsaw_setup_64.deb

Foi baixado na pasta Downloads. Acessei a pasta pelo Gerenciador de Arquivos mesmo, cliquei com o botão da direita e escolhi "abrir com instalador de pacotes..."
Pediu a senha e seguiu a instalação.
No terminal fiz um: sudo apt-get update
Reiniciei a máquina após.

Depois fiz as verificações mencionadas pelo amigo DigBrother:
"7. Verificações:
A)  a instalação do warsaw  com o comando;
Código: [Selecionar]
ps -ef |grep -v grep |grep -i warsaw
Você deve observar no mínimo 1 [...]/warsaw/core rodando como root e pelo menos um [...]/warsaw/core rodando como usuário. tipo:
root      1103     1  0 13:33 ?        00:00:01 /usr/local/bin/warsaw/core
usuario   2165     1  0 13:33 ?        00:00:01 /usr/local/bin/warsaw/core
B - A presença do certificado " Warsaw Personal CA"  nos navegadores. Firefox  em -   about:preferences#privacy   opção ver certificados ; no  Chrome em - chrome://settings/certificates  acessar a aba autoridades.    Se o certificado não estiver presente,  remova e reinstale o warsaw."

Tudo certinho.

Muito obrigado a todos. Principalmente ao amigo DigBrother!


P.S.: agora só falta fazer a Broadcom Wi-Fi funcionar :)

Offline Lostados

  • Usuário Ubuntu
  • *
  • Mensagens: 17
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #73 Online: 08 de Outubro de 2018, 10:32 »
Bons dias!

uso o Ubuntu Mate 18.04 em um Toshiba Portège R600.

Há tempos venho tentando instalar o módulo de segurança do BB no meu laptop, sem nenhum êxito. Tinha desistido, mas os tópicos recentes no Forum me levaram a que tentasse de novo.

Segui vários procedimentos, sempre com o mesmo resultado: ao reiniciar e tentar acessar o BB, vem sempre a mesma mensagem: "Prezado cliente, o Módulo de Segurança não foi identificado em seu computador (W01)".

Esta manhã tentei a receita do .:KZS:. , de ontem. Que não é muito diferente do post de DidBrother de 13 de junho. Fiz o download, fechei o navegador, instalei o warsaw com o "Software Install", fiz um update, reiniciei a máquina.

O warsaw é instalado, o certificado consta da lista dos certificados do Firefox, a verificação com o comando ps -ef |grep -v grep |grep -i warsaw indica:

lostados@lostados:~$ ps -ef |grep -v grep |grep -i warsaw
root      1195     1  1 09:54 ?        00:00:04 /usr/local/bin/warsaw/core
lostados  1643     1  0 09:54 ?        00:00:00 /usr/local/bin/warsaw/core

Mas vem sempre a "simpatica" mensagem do BB "Prezado cliente, o Módulo de Segurança não foi identificado em seu computador (W01)".

Comentários, sugestões de como fazer com que o warsaw seja reconhecido?

Lostados

Offline jrkamil

  • Usuário Ubuntu
  • *
  • Mensagens: 429
  • Cabo Frio - RJ - Brasil
    • Ver perfil
Re:warsaw bb no 18.04
« Resposta #74 Online: 15 de Outubro de 2018, 14:14 »
Hoje começou a dar mensagem de 'modulo de segurança desatualizado' no BB.
Aí eu removi o warsaw e reinstalei e funcionou.  Mas só uma vez. Ao tentar acessar de novo, volta a mensagem.
Soluções ?
« Última modificação: 15 de Outubro de 2018, 14:23 por jrkamil »
ECS A890GXM-A , Phenon II X6 , 8 Gb DDR3, nvidia GT 730,  ubuntu  19.10  gnome, ssd 120G, hd 500 g